function BindCkEditors(modal){
    //Bind missing CKEditors
    modal.find('.ckeditor').each(function() {
        if(typeof CKEDITOR.instances[$(this).attr('id')] !== 'undefined'){
            try {
                CKEDITOR.instances[$(this).attr('id')].destroy();
            } catch (e) { }
        }
        CKEDITOR.replace($(this).attr('id'));



    });
}

// ja ck editors atrodas modālī, tad nestrādā input lauki ckeditor pluginu popapā un citas lietas.
// tas tapēc, ka kkas notiek ar focus. šis ir labojums priekš tā
// http://stackoverflow.com/questions/26600904/problems-with-ckeditor-dialog-on-top-of-bootstrap-modal-window
$.fn.modal.Constructor.prototype.enforceFocus = function() {

    modal_this = this
    $(document).on('focusin.modal', function (e) {
        if (modal_this.$element[0] !== e.target && !modal_this.$element.has(e.target).length
            && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_select')
            && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_textarea')
            && $(e.target.parentNode).hasClass('cke_contents cke_reset')
            && !$(e.target.parentNode).hasClass('cke_dialog_ui_input_text')) {
            modal_this.$element.focus()
        }
    });
};
